%define anolis_release 1

Name:           libjaylink
Version:        0.3.0
Release:        %{anolis_release}%{dist}

Summary:        Library for SEGGER J-Link and compatible devices

License:        GPLv2+
URL:            https://gitlab.zapb.de/libjaylink/libjaylink
Source0:        https://gitlab.zapb.de/%{name}/%{name}/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  libtool
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  make

%description
libjaylink is a shared library written in C to access SEGGER J-Link
and compatible devices.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup

%build
./autogen.sh
%configure --disable-static
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install
%__mkdir -p $RPM_BUILD_ROOT/usr/lib/udev/rules.d/
%__sed -e 's/MODE="664", GROUP="plugdev"/TAG+="uaccess"/g' contrib/99-libjaylink.rules > $RPM_BUILD_ROOT/usr/lib/udev/rules.d/60-libjaylink.rules

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_libdir}/*.so.*
%{abidir}/libjaylink.dump
%{_prefix}/lib/udev/rules.d/*

%files devel
%doc HACKING
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%files doc
%doc README.md NEWS

%changelog
* Mon Mar 27 2023 yuanhui <yuanhui@linux.alibaba.com> - 0.3.0-1
- Init package from upstream
